Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-49737

Extras Executable WAR should warn everybody that Java 9 is not supported

    Details

    • Similar Issues:

      Description

      Currently Jenkins does not support Java 9, but Extras Executable WAR does not warn about that: https://github.com/jenkinsci/extras-executable-war/blob/49322726d410fac8aa0b5cb7b00934e62f3b89e3/src/main/java/Main.java#L118-L138

      It would be great to add Java 9 check there and to at least print the warning. Maybe it's better to just fail fast.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                amit_magar Amit Magar
                Reporter:
                oleg_nenashev Oleg Nenashev
              • Votes:
                1 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: